#!/bin/bash

# Prompt

FQDN=$(hostname --fqdn)

if [ -f "/etc/vn/env" ]; then
    SHORT_HOST=${FQDN%.*.*}
    if [ -z "$SHORT_HOST" ]; then
        read -r SHORT_HOST < /etc/hostname
    fi

    read -r VN_ENV < /etc/vn/env
    ENV_TEXT="$VN_ENV"

    case "$VN_ENV" in
        lab)
            ENV_COLOR="\033[01;32m"
            ;;
        pre)
            ENV_COLOR="\033[01;35m"
            ;;
        test)
            ENV_COLOR="\033[01;33m"
            ;;
        pro)
            ENV_COLOR="\033[01;31m"
            ;;
        *)
            ENV_COLOR="\033[01;36m"
            ENV_TEXT="${VN_ENV:0:3}"
            ;;
    esac

    if [ -z "$ENV_TEXT" ]; then
        ENV_TEXT="???"
        ENV_COLOR="\033[01;37m"
    fi

    ENV_TEXT="\[${ENV_COLOR}\]${ENV_TEXT^^}\[\033[00m\]"
    PS1="\u@$SHORT_HOST[$ENV_TEXT]:\w"

    if [ "$(id -u)" -eq 0 ]; then
        PS1="$PS1# "
    else
        PS1="$PS1\$ "
    fi
fi

# History

HISTSIZE=10000
HISTFILESIZE=50000
HISTTIMEFORMAT="%Y-%m-%d %H:%M:%S "

# Security

TMOUT=3600

# Aliases

export LS_OPTIONS='--color=auto'
eval "$(dircolors)"
alias ls='ls $LS_OPTIONS'
alias ll='ls $LS_OPTIONS -l'
alias la='ls $LS_OPTIONS -la'
