#!/bin/bash

MY_DIR="$(cd "$(dirname "${BASH_SOURCE[0]}")" && pwd)"
PY_VENV_DIR="$MY_DIR/venv"
EXTRA_ARGS=()

if [ -f .passbolt.yml ]; then
    EXTRA_ARGS+=("--extra-vars" "@.passbolt.yml")
fi
if [ -f .vault-pass ]; then
    EXTRA_ARGS+=("--vault-password-file" ".vault-pass")
fi

if [[ -z "$VIRTUAL_ENV" && -d "$PY_VENV_DIR" ]]; then
    WARNING="\e[33m"
    RESET="\e[0m"
    echo -e "Warning: ${WARNING}Python virtual environment not activated! Some tasks might fail.${RESET}"
    #export PYTHONPATH=./venv/lib/python3.12/site-packages/
fi

ansible-playbook ${EXTRA_ARGS[@]} $@
